Skip to content

Update chatbot settings

post/update-chatbot-settings
Any key

This API endpoint allows you to edit your chatbot. Only the fields you send are changed; fields set to null are ignored.

Request body

Sending 1 of 30 fields
Required
chatbotIdstring
The unique identifier allocated to the chatbot.

Only these fields are sent (application/json). Fields you leave off keep their current values.

Try it · POST /update-chatbot-settings
curl 'https://api.chat-data.com/api/v2/update-chatbot-settings' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "chatbotId": "6650f1c2a9e4b83d2c7a1f05"}'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.

Example

{  "status": "success"}

Last updated October 14, 2026